Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.repository
Interface RepositoryObject

All Known Subinterfaces:
  RepositoryDocument, RepositoryFolder

public interface RepositoryObject
extends java.io.Serializable

The RepositoryObject interface represents an object contained within a repository.

Since:
  WLXT V2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `RepositoryFolder`, `RepositoryDocument`

Method Summary
`java.lang.String` | `getDesc()` Return the description of the current repository object.
`java.lang.String` | `getName()` Returns the name of the repository object.
`java.lang.String` | `getNotes()` Get the notes associated with this repository object.
`RepositoryObject` | `getParent()` Returns the object which is the parent of the current repository object.
`Repository` | `getRepository()` Returns the Repository which contains this object.
`boolean` | `isFolder()` Determine if a RepositoryObject represents a folder or a document.
`void` | `remove()` Removes the object from the repository.
`void` | `rename(java.lang.String newName)` Rename an existing repository object.
`void` | `setDesc(java.lang.String desc)` Set the description of this repository obejct.
`void` | `setNotes(java.lang.String notes)` Set the notes associated with this repository object.
`void` | `update()` Updates the values of the object in the repository.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the repository object.

  Returns:
    The name of the object.

### getParent

    public RepositoryObject getParent()

  Returns the object which is the parent of the current repository object.

  Returns:
    Returns the parent of this object in the repository. If the object has no parent (i.e. is top level) then null is returned.

### isFolder

    public boolean isFolder()

  Determine if a RepositoryObject represents a folder or a document.

  Returns:
    Returns true if this object is a folder, false if a document.

### getDesc

    public java.lang.String getDesc()

  Return the description of the current repository object.

  Returns:
    The objects description or an empty string if no description exists.

### setDesc

    public void setDesc(java.lang.String desc)

  Set the description of this repository obejct.

  Parameters:
    `desc` - The description to be assigned to this object.

### getNotes

    public java.lang.String getNotes()

  Get the notes associated with this repository object.

  Returns:
    The object notes or an empty string if no notes exist.

### setNotes

    public void setNotes(java.lang.String notes)

  Set the notes associated with this repository object.

  Parameters:
    `notes` - The value of the notes to be associated with this object.

### remove

    public void remove()
                throws RepositoryException

  Removes the object from the repository.

### rename

    public void rename(java.lang.String newName)
                throws RepositoryException

  Rename an existing repository object.

### update

    public void update()
                throws RepositoryException

  Updates the values of the object in the repository. If the object does not yet exist in the repository it is added, otherwise the repository object is updated to reflect the current data values.

### getRepository

    public Repository getRepository()

  Returns the Repository which contains this object.

  Returns:
    The repository which contains this RepositoryObject.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)